# Run with ~/anaconda3/bin/python -m unittest discover -s lib/tests
import unittest
import lib.learning_logs as lg


class TestParser(unittest.TestCase):
    def parse_df(self, **kwargs):
        return lg.parse_df(**kwargs)

    def test_latest_format_1(self):
        df = self.parse_df(pathname='lib/tests/log_examples/interactions_fse16.log')
        self.assertTrue(len(df) == 386 - 17)
        self.assertTrue(len(df.columns) == 12)

    def test_latest_format_2(self):
        df = self.parse_df(pathname='lib/tests/log_examples/interactions_fse16_pairwise.log', log_format='latest')
        self.assertTrue(len(df) == 46 - 19)
        self.assertTrue(len(df.columns) == 12)

    def test_latest_stdout_format(self):
        df = self.parse_df(pathname='lib/tests/log_examples/fse16_stdout')
        self.assertTrue(len(df) == 197 - 1)
        self.assertTrue(len(df.columns) == 12)

    def test_metastudy_format(self):
        df = self.parse_df(pathname='lib/tests/log_examples/interactions_metastudy.log', log_format='metastudy')
        self.assertTrue(len(df) == 194 - 16)
        self.assertTrue(len(df.columns) == 13)

    def test_scores_format(self):
        df = self.parse_df(pathname='lib/tests/log_examples/interactions_inflscore.log', log_format='scores')
        self.assertTrue(len(df) == 193 - 17)
        self.assertTrue(len(df.columns) == 15)


if __name__=='__main__':
    unittest.main()
